# Method: projects.locations.connections.list

- [HTTP request](https://docs.cloud.google.com/integration-connectors/docs/reference/rest/v1/projects.locations.connections/list#body.HTTP_TEMPLATE)
- [Path parameters](https://docs.cloud.google.com/integration-connectors/docs/reference/rest/v1/projects.locations.connections/list#body.PATH_PARAMETERS)
- [Query parameters](https://docs.cloud.google.com/integration-connectors/docs/reference/rest/v1/projects.locations.connections/list#body.QUERY_PARAMETERS)
- [Request body](https://docs.cloud.google.com/integration-connectors/docs/reference/rest/v1/projects.locations.connections/list#body.request_body)
- [Response body](https://docs.cloud.google.com/integration-connectors/docs/reference/rest/v1/projects.locations.connections/list#body.response_body)
  - [JSON representation](https://docs.cloud.google.com/integration-connectors/docs/reference/rest/v1/projects.locations.connections/list#body.ListConnectionsResponse.SCHEMA_REPRESENTATION)
- [Authorization scopes](https://docs.cloud.google.com/integration-connectors/docs/reference/rest/v1/projects.locations.connections/list#body.aspect)
- [Try it!](https://docs.cloud.google.com/integration-connectors/docs/reference/rest/v1/projects.locations.connections/list#try-it)

Lists Connections in a given project and location.

### HTTP request

`GET https://connectors.googleapis.com/v1/{parent=projects/*/locations/*}/connections`

The URL uses [gRPC Transcoding](https://google.aip.dev/127) syntax.

### Path parameters

| Parameters ||
|---|---|
| `parent` | `string` Required. Parent resource of the Connection, of the form: `projects/*/locations/*` Authorization requires the following [IAM](https://cloud.google.com/iam/docs/) permission on the specified resource `parent`: - `connectors.connections.list` |

### Query parameters

| Parameters ||
|---|---|
| `pageSize` | `integer` Page size. |
| `pageToken` | `string` Page token. |
| `filter` | `string` Filter. |
| `orderBy` | `string` Order by parameters. |
| `view` | ``enum (`https://docs.cloud.google.com/integration-connectors/docs/reference/rest/v1/ConnectionView`)`` Specifies which fields of the Connection are returned in the response. Defaults to `BASIC` view. |

### Request body

The request body must be empty.

### Response body

Response message for ConnectorsService.ListConnections

If successful, the response body contains data with the following structure:

| JSON representation |
|---|
| ``` { "connections": [ { object (`https://docs.cloud.google.com/integration-connectors/docs/reference/rest/v1/projects.locations.connections#Connection`) } ], "nextPageToken": string, "unreachable": [ string ] } ``` |

| Fields ||
|---|---|
| `connections[]` | ``object (`https://docs.cloud.google.com/integration-connectors/docs/reference/rest/v1/projects.locations.connections#Connection`)`` Connections. |
| `nextPageToken` | `string` Next page token. |
| `unreachable[]` | `string` Locations that could not be reached. |

### Authorization scopes

Requires the following OAuth scope:

- `https://www.googleapis.com/auth/cloud-platform`

For more information, see the [Authentication Overview](https://docs.cloud.google.com/docs/authentication#authorization-gcp).